@import "../../../global-styles.scss";

.feed-container {
  max-width: $page-width;
  margin: auto;
}

.post-feed-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.post-container {
  width: 30%;
  height: 380px;
  margin: 15px;
  cursor: pointer;
  // overflow: hidden;
  box-shadow: -8px 0px 17px -5px rgba(0, 0, 0, 0.21);

  @media screen and (max-width:$screen-lg-min) {
    width: 40%;
  }

  @media screen and (max-width:$screen-sm-min) {
    width: 100%;
  }

}

.background-image-container {
  background-image: url('../../../assets/images/no-image-large.jpg');
  width: 100%;
  height: 100%;
  background-position: center;
  transition: all 1s;
  background-size: cover;
  position: relative;
}

.background-image-container:hover {
  transform: scale(1.1);

}

.post-description {
  position: absolute;
  width: 100%;
  bottom: 0;
  color: white;
  background: #00000087;
  //display: flex;
  justify-content: space-between;



}
.post-description-date-and-title{

    display: flex;
    justify-content: space-between;
    text-align: left;

    p {
      padding: 0px 5px;
    }


}
.post-author{
  text-align: right;
    font-size: 0.8em;
}
.add-post-floating-button {
  position: fixed;
    bottom: 84px;
    right: 16px;
    width: 58px;
    height: 58px;
    cursor: pointer;
    border-radius: 100px;
    z-index: 1;
    -webkit-box-shadow: -1px 2px 7px 1px rgba(0, 0, 0, 0.11);
  -moz-box-shadow: -1px 2px 7px 1px rgba(0, 0, 0, 0.11);
  box-shadow: -1px 2px 7px 1px rgb(0 0 0 / 37%);


}

.search-bar {
  width: 80%;

  height: 30px;
  border: none;
  border: 1px solid #efefef;
  box-shadow: -1px 12px 12px -6px rgba(0, 0, 0, 0.11);
  padding: 6px;

  :focus {
    border: 1px solid #8f8b8b;
    outline: 0;
  }
}

.search-button {
  border: none;
    width: 44px;
    height: 44px;
    color: #374957;
    box-shadow: none;
    background: #e8f1ef;

  img {
    width: 40%;
  }
}

.search-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 50px;
  max-width: 520px;
  margin: 50px auto;
}
.header-title{
  color: #3e555a;
    margin: auto;
    text-align: center;
    margin: 20px 30px;
    font-size: 1.3em;
}
